<?php
#################################################
# MONO DATABASE VERSION
#################################################

/*
change l'email d'un joueur.
Effectue au préalable une vérification : si le nouvel email est déjà présent dans la base
l'email n'est pas changé.
*/
function changePlayerEmail($oldEmail,$newEmail,$debug)
{
	# verif si l'Email existe deja
	$mail_exists = db_fetch_array(main_db_query("SELECT * FROM Members WHERE Email='".$newEmail."'"));
	
	if ($mail_exists)
		return $newEmail." existe déjà à ce MId : ".$mail_exists['Id']."<br>";
	else
	{
		if ($debug)
			echo "UPDATE Members SET Email='".$newEmail."' WHERE Email='".$oldEmail."'";
		else
			main_db_query("UPDATE Members SET Email='".$newEmail."' WHERE Email='".$oldEmail."'");
		return "OK";
	}
}

function changePlayerPassword($Email, $Password)
{
	main_db_query("UPDATE Members SET Password='".$Password."' WHERE Email='".$Email."'");
}